Bug 240104 - vconfig set_egress_map does not correctly set egress map
vconfig set_egress_map does not correctly set egress map
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vconfig (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Roman Rakus
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-15 04:06 EDT by Benny Amorsen
Modified: 2014-01-12 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 08:17:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benny Amorsen 2007-05-15 04:06:54 EDT
Description of problem:

vconfig set_egress_map does not correctly set egress map.

Version-Release number of selected component (if applicable):

vconfig-1.9-2.1

How reproducible:

Every time

Steps to Reproduce:
[root@terpsichore ~]# vconfig add eth0 114
Added VLAN with VID == 114 to IF -:eth0:-
[root@terpsichore ~]# cat /proc/net/vlan/eth0.114 
eth0.114  VID: 114       REORDER_HDR: 1  dev->priv_flags: 1
         total frames received            0
          total bytes received            0
      Broadcast/Multicast Rcvd            0

      total frames transmitted            0
       total bytes transmitted            0
            total headroom inc            0
           total encap on xmit            0
Device: eth0
INGRESS priority mappings: 0:0  1:0  2:0  3:0  4:0  5:0  6:0 7:0
EGRESSS priority Mappings: 
[root@terpsichore ~]# vconfig set_egress_map eth0.114 2:4
Set egress mapping on device -:eth0.114:- Should be visible in
/proc/net/vlan/eth0.114

  
Actual results:
[root@terpsichore ~]# cat /proc/net/vlan/eth0.114 
eth0.114  VID: 114       REORDER_HDR: 1  dev->priv_flags: 1
         total frames received            0
          total bytes received            0
      Broadcast/Multicast Rcvd            0

      total frames transmitted            0
       total bytes transmitted            0
            total headroom inc            0
           total encap on xmit            0
Device: eth0
INGRESS priority mappings: 0:0  1:0  2:0  3:0  4:0  5:0  6:0 7:0
EGRESSS priority Mappings: 2:0 


Expected results:
[root@terpsichore ~]# cat /proc/net/vlan/eth0.114 
EGRESSS priority Mappings: 2:4 


Additional info:

kernel-2.6.20-1.2948.fc6
Comment 1 Benny Amorsen 2007-05-15 05:02:16 EDT
I have reproduced the problem with Fedora Live CD 6.93 -- kernel
2.6.20-1.3104.fc7 and vconfig 1.9-3.fc7.
Comment 2 Benny Amorsen 2008-01-27 06:38:35 EST
Reproduced with kernel-2.6.23.14-107.fc8
Comment 3 Roman Rakus 2008-03-07 08:17:01 EST
I have take a look at your problem and it is done by bad usage. Try to look at
vconfig usage:

Usage: add             [interface-name] [vlan_id]
       rem             [vlan-name]
       set_flag        [interface-name] [flag-num]       [0 | 1]
       set_egress_map  [vlan-name]      [skb_priority]   [vlan_qos]
       set_ingress_map [vlan-name]      [skb_priority]   [vlan_qos]
       set_name_type   [name-type]

In that case you should type:
vconfig set_egress_map eth0.114 2 2
(without that colon and with space)

Note You need to log in before you can comment on or make changes to this bug.